export const YMarkerLine = ({
  value,
  yScale,
  innerWidth,
}) => {
  const markerLineX1 = 0;
  const markerLineX2 = innerWidth;
  const markerLineY = yScale(value);
  return (
    <>
      <line
        stroke="black"
        x1={markerLineX1}
        y1={markerLineY}
        x2={markerLineX2}
        y2={markerLineY}
      />

      <text
        text-anchor="end"
        alignment-baseline="middle"
        x={markerLineX1 - 10}
        y={markerLineY}
      >
        {value}
      </text>
    </>
  );
};
